// python wrapper for vtkDGInvokeOperator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkDGInvokeOperator.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkDGInvokeOperator(PyObject *dict); }
static PyMethodDef PyvtkDGInvokeOperator_Methods[] = {
  {nullptr, nullptr, 0, nullptr}
};

#if PY_VERSION_HEX >= 0x03070000
#define pystr(x) x
#else
#define pystr(x) const_cast<char*>(x)
#endif
static PyGetSetDef PyvtkDGInvokeOperator_GetSets[] = {
  { nullptr, nullptr, nullptr, nullptr, nullptr }
};

static PyObject *
PyvtkDGInvokeOperator_vtkDGInvokeOperator_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkDGInvokeOperator");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkDGInvokeOperator *op = new vtkDGInvokeOperator();

    result = PyVTKSpecialObject_New("vtkDGInvokeOperator", op);
  }

  return result;
}

static PyObject *
PyvtkDGInvokeOperator_vtkDGInvokeOperator_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkDGInvokeOperator");

  vtkDGInvokeOperator *temp0 = nullptr;
  PyObject *pobj0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkDGInvokeOperator"))
  {
    vtkDGInvokeOperator *op = new vtkDGInvokeOperator(*temp0);

    result = PyVTKSpecialObject_New("vtkDGInvokeOperator", op);
  }

  Py_XDECREF(pobj0);

  return result;
}

static PyMethodDef PyvtkDGInvokeOperator_vtkDGInvokeOperator_Methods[] = {
  {"vtkDGInvokeOperator", PyvtkDGInvokeOperator_vtkDGInvokeOperator_s2, METH_VARARGS,
   "@W vtkDGInvokeOperator"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkDGInvokeOperator_vtkDGInvokeOperator(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 0:
      return PyvtkDGInvokeOperator_vtkDGInvokeOperator_s1(self, args);
    case 1:
      return PyvtkDGInvokeOperator_vtkDGInvokeOperator_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "vtkDGInvokeOperator");
  return nullptr;
}


static const char *PyvtkDGInvokeOperator_Doc =

  "vtkDGInvokeOperator() -> vtkDGInvokeOperator\nC++: vtkDGInvokeOperator()\nvtkDGInvokeOperator(__a:vtkDGInvokeOperator) -> vtkDGInvokeOperator\nC++: vtkDGInvokeOperator(const vtkDGInvokeOperator &)\n""\n"
  "vtkDGInvokeOperator - Invoke a DG-cell operator, weighting basis\nfunctions by coefficients.\n\n"
  "This class takes a vtkDGOperatorEntry and a\n"
  "vtkCellAttribute::CellTypeInfo; it owns vectors for connectivity\n"
  "values (as needed, based on DOFSharing) and coefficients. It fetches\n"
  "coefficients; invokes the operator; and then computes the inner\n"
  "product of the operator's values (basis functions, gradients, etc.)\n"
  "and coefficients provided by the grid (via CellTypeInfo).\n\n"
  "Because each instance of this class holds tuple storage, it can be\n"
  "re-used to amortize the cost of allocating the tuple storage. You can\n"
  "make thread-local static instances of this class and (as long as the\n"
  "operator entry's functor is thread-safe), call this object in\n"
  "threads. This is the intended use of vtkDGInvokeOperator in\n"
  "vtkSMPTools-based workers for query-responders.\n\n"
  "The vtkDGOperatorEntry determines the number of basis functions and\n"
  "the size of each basis-function's output (generally a scalar or\n"
  "vector value per basis function). The cell-type info determines the\n"
  "number of coefficients (this may be 1 coefficient per basis function\n"
  "or multiple coefficients per basis function. If the number of\n"
  "coefficient values is not evenly divided by the number of basis\n"
  "functions, the Invoke() method will return false.\n\n"
  "Note that this class does **not** pre-allocate storage for the\n"
  "resulting inner product (i.e., the value of the function). Instead,\n"
  "you are encouraged to provide a reference to external storage to hold\n"
  "the final value. The output iterator must point to enough\n"
  "pre-allocated storage to hold all the resulting values.\n\n";

static PyObject *
PyvtkDGInvokeOperator_New(PyTypeObject *, PyObject *args, PyObject *kwds)
{
  if (kwds && PyDict_Size(kwds))
  {
    PyErr_SetString(PyExc_TypeError,
                    "this function takes no keyword arguments");
    return nullptr;
  }

  return PyvtkDGInvokeOperator_vtkDGInvokeOperator(nullptr, args);
}

static void PyvtkDGInvokeOperator_Delete(PyObject *self)
{
  PyVTKSpecialObject *obj = (PyVTKSpecialObject *)self;
  delete static_cast<vtkDGInvokeOperator *>(obj->vtk_ptr);
  PyObject_Del(self);
}

static Py_hash_t PyvtkDGInvokeOperator_Hash(PyObject *self)
{
  return PyObject_HashNotImplemented(self);
}

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkDGInvokeOperator_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkFiltersCellGrid.vtkDGInvokeOperator", // tp_name
  sizeof(PyVTKSpecialObject), // tp_basicsize
  0, // tp_itemsize
  PyvtkDGInvokeOperator_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKSpecialObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  PyvtkDGInvokeOperator_Hash, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  PyvtkDGInvokeOperator_Doc, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyvtkDGInvokeOperator_New, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static void *PyvtkDGInvokeOperator_CCopy(const void *obj)
{
  if (obj)
  {
    return new vtkDGInvokeOperator(*static_cast<const vtkDGInvokeOperator*>(obj));
  }
  return nullptr;
}

#ifndef DECLARED_PyvtkDGInvokeOperator_TypeNew
extern "C" { PyObject *PyvtkDGInvokeOperator_TypeNew(); }
#define DECLARED_PyvtkDGInvokeOperator_TypeNew
#endif

PyObject *PyvtkDGInvokeOperator_TypeNew()
{
  PyTypeObject *pytype = PyVTKSpecialType_Add(
    &PyvtkDGInvokeOperator_Type,
    PyvtkDGInvokeOperator_Methods,
    PyvtkDGInvokeOperator_GetSets,
    PyvtkDGInvokeOperator_vtkDGInvokeOperator_Methods,
    &PyvtkDGInvokeOperator_CCopy);

  if ((PyType_GetFlags(pytype) & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkDGInvokeOperator(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkDGInvokeOperator_TypeNew();

  if (o && PyDict_SetItemString(dict, "vtkDGInvokeOperator", o) != 0)
  {
    Py_DECREF(o);
  }

}

